<html>
  <head>
    <title>Nonogramme Vue.js</title>
    <style>
      table {
        border: 1px solid gray;
        border-collapse: collapse;
      }
      tr, td {
        height: 20px;
      }
      td {
        width: 20px;
        border: 1px solid gray;
      }
      td:hover {
        background-color: red;
      }
      .selected {
        background-color: blue;
      }
    </style>
  </head>
  <body>
    <div id='n7-nonogramme-vuejs'>
      <table>
        <tr v-for="i in new Array(numberRows)">
          <td v-for="j in new Array(numberCells)" />
        </tr>
      </table>
    </div>
    <script src="https://unpkg.com/vue@next"></script>
    <script type="text/javascript">
      const app = Vue.createApp({
        data () {
          return {
            numberRows: 6,
            numberCells: 6,
          }
        }
      }).mount('#n7-nonogramme-vuejs')
    </script>
  </body>
</html>
